Bug 55726 - (IDE PIIX)Some directories corrupt after upgrade from 7.1 to 7.2
(IDE PIIX)Some directories corrupt after upgrade from 7.1 to 7.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 12:37 EST by Daniel Somerfield
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Somerfield 2001-11-05 12:37:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
I ran the installer for 7.2 on a working version of 7.1. After the upgrade,
certain apps wouldn't work, such as nautilis. At this point it sometimes
comes up but won't connect to http urls. 

I noticed however, that some directories, including $HOME/bin and
$HOME/ns_mail are corrupt. When I execute `ls bin` I get:

ls: bin: Input/output error




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot up
2. type `ls bin`
3. view error
	

Actual Results:  ls: bin: Input/output error

Expected Results:  the contents of bin should have been listed

Additional info:

The hardware is a Dell Inspiron 8000.
Comment 1 Bill Nottingham 2001-11-05 13:21:34 EST
Sounds like a kernel problem, or a problem with your HW. What's the output of dmesg?
Comment 2 Need Real Name 2002-01-29 17:06:00 EST
Similar problem here; Dell Inspiron 8000 (laptop) with IBM harddisk.
After installing 7.2 (clean install, *not* an upgrade) weird filesystem
problems:
Suddenly, the gnome programs-menu disappeared. Investigation revealed
that /usr/share/gnome/apps could not be accessed:

[root@laptop gnome]# pwd
/usr/share/gnome
[root@laptop gnome]# ls apps
ls: apps: Input/output error
[root@laptop gnome]# ls -l apps
ls: apps: Input/output error

Though the file/dir/whatever exists since 'ls /usr/share/gnome'
shows 'apps'.

dmesg:
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
hda: drive not ready for command
This error appears only once.

kernel 2.4.7-10
hda: IBM-DJSA-220
Comment 3 Daniel Somerfield 2002-02-06 11:54:24 EST
Here is the output of dmesg, although I must say, it didn't corrupt anything on 
that last boot as far as I can tell.


Linux version 2.4.9-13BOOT (bhcompile@stripples.devel.redhat.com) (gcc version 
2.96 20000731 (Red Hat Linux 7.1 2.96-98)) #1 Tue Oct 30 19:04:14 EST 2001
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000ffea800 (usable)
 BIOS-e820: 000000000ffea800 - 0000000010000000 (reserved)
 BIOS-e820: 00000000feea0000 - 00000000fef00000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
On node 0 totalpages: 65514
zone(0): 4096 pages.
zone(1): 61418 pages.
zone(2): 0 pages.
Local APIC disabled by BIOS -- reenabling.
Found and enabled local APIC!
Kernel command line: ro root=/dev/hda5
Initializing CPU#0
Detected 848.160 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1690.82 BogoMIPS
Memory: 253356k/262056k available (1106k kernel code, 6388k reserved, 89k data, 
104k init, 0k highmem)
Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 06
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
Dell Inspiron 8000 detected. Forcing restore of PCI configuration space on APM 
resume.
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfc06e, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Discovered primary peer bus 08 [IRQ]
PCI: Using IRQ router PIIX [8086/244c] at 00:1f.0
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI 
enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
block: queued sectors max/low 168205kB/56068kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4608K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev f9
PIIX4: chipset revision 3
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:DMA
hda: IBM-DJSA-220, ATA DISK drive
hdb: LG DVD-ROM DRN-8080B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
blk: queue c0292b20, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0292b20, I/O limit 4095Mb (mask 0xffffffff)
hda: 39070080 sectors (20004 MB) w/1874KiB Cache, CHS=2432/255/63, UDMA(66)
hdb: ATAPI 24X DVD-ROM DVD-RAM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
ide-floppy driver 0.97.sv
Partition check:
 hda: hda1 hda2 hda3 < hda5 hda6 hda7 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
loop: loaded (max 8 devices)
ide-floppy driver 0.97.sv
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 314k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 104k freed
Adding Swap: 530104k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.259 $ time 19:08:01 Oct 30 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 11 for device 00:1f.2
PCI: Sharing IRQ 11 with 02:06.0
PCI: Sharing IRQ 11 with 02:0f.0
PCI: Sharing IRQ 11 with 02:0f.1
PCI: Sharing IRQ 11 with 02:0f.2
PCI: Setting latency timer of device 00:1f.2 to 64
usb-uhci.c: USB UHCI at I/O 0xdce0, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.251:USB Universal Host Controller Interface driver
hub.c: USB new device connect on bus1/2, assigned device number 2
usb.c: USB device 2 (vend/prod 0x45e/0x40) is not claimed by any active driver.
usb.c: registered new driver hid
usb-uhci.c: interrupt, status 3, frame# 1037
usb-uhci.c: interrupt, status 3, frame# 1044
input0: USB HID v1.00 Mouse [Microsoft Microsoft Wheel Mouse Optical.] on 
usb1:2.0
usb.c: registered new driver hiddev
hid-core.c: v1.8 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,5), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.11, 3 Oct 2001 on ide0(3,2), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP(,...)]
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus]
PCI: Found IRQ 11 for device 02:0f.0
PCI: Sharing IRQ 11 with 00:1f.2
PCI: Sharing IRQ 11 with 02:06.0
PCI: Sharing IRQ 11 with 02:0f.1
PCI: Sharing IRQ 11 with 02:0f.2
PCI: Found IRQ 11 for device 02:0f.1
PCI: Sharing IRQ 11 with 00:1f.2
PCI: Sharing IRQ 11 with 02:06.0
PCI: Sharing IRQ 11 with 02:0f.0
PCI: Sharing IRQ 11 with 02:0f.2
Yenta IRQ list 0698, PCI irq11
Socket status: 30000006
Yenta IRQ list 0698, PCI irq11
Socket status: 30000010
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
xirc2ps_cs.c 1.31 1998/12/09 19:32:55 (dd9jn+kvh)
eth0: MII link partner: ffff
eth0: MII selected
eth0: media 100BaseT, silicon revision 5
eth0: Xircom: port 0x300, irq 3, hwaddr 00:80:C7:A9:4E:D6
ttyS03 at port 0x02e8 (irq = 3) is a 16550A
eth0: MII link partner: 05e1
eth0: MII selected
eth0: media 100BaseT, silicon revision 5
Comment 4 Bugzilla owner 2004-09-30 11:39:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.